spa_device_object_info Struct Reference
SPA » Device

Information about a device object. More...

## Data Fields

uint32_t | version
const char * | type
| the object type managed by this device More...
const char * | factory_name
| a factory name that implements the object More...
uint64_t | change_mask
uint64_t | flags

## Detailed Description

Information about a device object.

This information is part of the object_info event on the device.

Examples
  bluez-session.c.

## Field Documentation

## version

uint32_t spa_device_object_info::version

## type

const char* spa_device_object_info::type

the object type managed by this device

Examples
  bluez-session.c.

## factory_name

const char* spa_device_object_info::factory_name

a factory name that implements the object

Examples
  bluez-session.c.

## change_mask

uint64_t spa_device_object_info::change_mask

## flags

uint64_t spa_device_object_info::flags

The documentation for this struct was generated from the following file:

- spa/monitor/device.h